Bug 245585 - No description for Shortcuts in Kmail
Summary: No description for Shortcuts in Kmail
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kmail2
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-23 22:48 UTC by Sabine Faure
Modified: 2017-01-07 22:36 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sabine Faure 2010-07-23 22:48:06 UTC
Version:           unspecified (using Devel) 
OS:                Linux

When printing the shortcuts list the description column is empty.

Reproducible: Always

Steps to Reproduce:
- Launch Kontact and go to Kmail
- Click on 'New Message'
- Go to Settings menu/Configure Shortcuts...
- Click on 'Print' button
- Select 'Print to File (PDF)
- Browse to find a location to save the file
- Click on 'Print'
- Open the saved file from your HD

Actual Results:  
All the shortcuts are properly listed but the 'Description' column for each functionality is empty

Expected Results:  
whereas it should be describing what the functionalities do.

Trunk, Svn Rev 1153490
Comment 1 Laurent Montel 2010-07-26 12:32:13 UTC
Same bug in kmail1
Comment 2 Laurent Montel 2012-07-31 11:05:20 UTC
Git commit 896fcc26f1bcbb8fc5a3481f8d901e381f757fe3 by Montel Laurent.
Committed on 31/07/2012 at 13:04.
Pushed by mlaurent into branch 'master'.

Start to fix Bug 245585 - No description for Shortcuts in Kmail
it needs to add setHelpText in actions.

M  +4    -0    kmail/kmcomposewin.cpp

http://commits.kde.org/kdepim/896fcc26f1bcbb8fc5a3481f8d901e381f757fe3
Comment 3 Denis Kurz 2016-09-24 18:16:14 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of kmail2 (version 5.0 or later, as part of KDE Applications 15.12 or later), it gets closed in about three months.
Comment 4 Denis Kurz 2017-01-07 22:36:22 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.